%define major 1
%define libname %mklibname ssh2_ %{major}
%define devname %mklibname ssh2 -d

Summary:	A library implementing the SSH2 protocol
Name:		libssh2
Version:	1.7.0
Release:	1
License:	BSD
Group:		System/Libraries
Url:		http://www.libssh2.org/
Source0:	http://www.libssh2.org/download/%{name}-%{version}.tar.gz
Patch0:		CVE-2016-0787.patch
BuildRequires:	libtool
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)

%description
libssh2 is a library implementing the SSH2 protocol as defined by Internet
Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25), SECSH-CONNECTION(23),
SECSH-ARCH(20), SECSH-FILEXFER(06)*, SECSH-DHGEX(04), and SECSH-NUMBERS(10).

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A library implementing the SSH2 protocol
Group:		System/Libraries

%description -n %{libname}
libssh2 is a library implementing the SSH2 protocol as defined by Internet
Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25), SECSH-CONNECTION(23),
SECSH-ARCH(20), SECSH-FILEXFER(06)*, SECSH-DHGEX(04), and SECSH-NUMBERS(10).

%files -n %{libname}
%doc COPYING
%{_libdir}/libssh2.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	ssh2-devel = %{EVRD}

%description -n %{devname}
libssh2 is a library implementing the SSH2 protocol as defined by Internet
Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25), SECSH-CONNECTION(23),
SECSH-ARCH(20), SECSH-FILEXFER(06)*, SECSH-DHGEX(04), and SECSH-NUMBERS(10).

This package contains the static %{name} library and its header files.

%files -n %{devname}
%doc docs/AUTHORS docs/BINDINGS docs/HACKING docs/TODO ChangeLog NEWS README RELEASE-NOTES
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man3/*
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure \
	--without-libgcrypt-prefix \
	--with-openssl=%{_prefix} \
	--with-libz=%{_prefix} \
	--disable-static \
	--disable-examples-build

%make

%install
%makeinstall_std

##%check
#make check <- barfs at "Failed requesting pty", works as root

%changelog

* Fri May 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.7.0-1
- (80107ff) New version 1.7.0
- (80107ff) Drop pkgconfig patch (fixed upstream)
- (80107ff) Spec cleanup


